## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.1
%bcond_without check
%global debug_package %{nil}

# https://github.com/opencontainers/runc
%global goipath         github.com/opencontainers/runc
Version:                1.1.4

%gometa

%global common_description %{expand:
Runc is a CLI tool for spawning and running containers according to the OCI
specification.}

%global golicenses      LICENSE NOTICE
%global godocs          docs CONTRIBUTING.md MAINTAINERS_GUIDE.md\\\
                        PRINCIPLES.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        CLI tool for spawning and running containers

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
for test in "TestFactoryNewTmpfs" \
            "TestNsenterValidPaths" \
            "TestNsenterChildLogging" \
            "TestResolveRootfs" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck -d libcontainer/integration -t libcontainer/cgroups
%endif

%gopkgfiles

%changelog
* Sun Sep 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.1.4-2
- Fix comment

* Sun Sep 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.1.4-1
- Update to 1.1.4

* Tue Aug 09 2022 Maxwell G <gotmax@e.email> 1.1.3-1
- Update to 1.1.3. Fixes rhbz#2095214.

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun May 22 2022 Maxwell G <gotmax@e.email> 1.1.2-1
- Update to 1.1.2. Fixes rhbz#2085287.
- Mitigate CVE-2022-29162 / GHSA-f3fp-gc8g-vw66.

* Fri Apr 29 2022 Maxwell G <gotmax@e.email> 1.1.1-1
- Update to 1.1.1. Fixes rhbz#2069649.

* Fri Jan 28 2022 Maxwell G <gotmax@e.email> 1.1.0-2
- Upload missing patch

* Fri Jan 28 2022 Maxwell G <gotmax@e.email> 1.1.0-1
- Update to 1.1.0. Fixes rhbz#1983252.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8.rc95.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8.rc95.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun  2 20:32:14 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-8.rc95
- Update to 1.0.0-rc95

* Thu Mar 18 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.0.0-rc93
- Update to 1.0.0-rc93

* Fri Jan 29 16:37:03 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-6.rc92
- Fix to bump mountinfo dependancy

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4.rc92.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 24 19:55:03 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-4.rc92
- Temporary fix for FTBFS with Go 1.16

* Thu Sep 17 19:51:00 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-3.rc92
- Update to 1.0.0-rc92

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2.rc10.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 02 00:26:51 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-2.rc10
- Update to 1.0.0-rc10

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-1.rc9.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 10 15:37:23 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1.rc9
- Release 1.0.0-rc9
- Remove binary provided by the runc package (#1760194)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-1.rc8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 04 17:07:54 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1.rc8
- Initial package

